import Link from "next/link"
import { GameUnityLogo } from "@/components/logo"
import { buttonVariants } from "@/components/ui/button"
import { cn } from "@/lib/utils"

export default function EmailVerification() {
    return (

              <div className="container flex max-w-[64rem] flex-col items-center gap-4 text-center">
                    <div className="flex items-center">
                        <Link href="/home" className={cn("rounded-full p-3 hover:bg-accent")}>
                            <GameUnityLogo className="h-10 w-10" />
                        </Link>
                    </div>
                    <p className="max-w-[42rem] leading-normal sm:text-xl sm:leading-8">
                    Your Email has been Verified and your Account was Activated <br /> You can now login
                    </p>
                    <div className="align-middle">
                        <Link href="/login" className={cn(buttonVariants({ size: "lg" }), "mr-6")}>
                            Login
                        </Link>
                    </div>
                </div>
    )
}