import { User } from "@prisma/client"
import AddGameToFinishedList from "./add-game-to-finished-list"
import AddGameToPlanList from "./add-game-to-plan-list"
import AddGameToPlayingList from "./add-game-to-playing-list"
import { Select, SelectContent, SelectGroup, SelectTrigger, SelectValue } from "./ui/select"

export default function AddGameDropdown(props: { gameid: string, fullUser: User }) {

    return (
        <>
            <Select>
                <SelectTrigger>
                    <SelectValue placeholder="Status" />
                </SelectTrigger>
                <SelectContent>
                    <SelectGroup>
                        <AddGameToPlanList user={props.fullUser!} gameId={props.gameid} />
                        <AddGameToFinishedList user={props.fullUser!} gameId={props.gameid} />
                        <AddGameToPlayingList user={props.fullUser!} gameId={props.gameid} />
                    </SelectGroup>
                </SelectContent>
            </Select>

        </>
    )
}