import { IUser } from "@/components/profile/types"
import { useQuery, useQueryClient } from "@tanstack/react-query"
import { getQueryPeople } from "../api/get-query-people"

export const useSearchPeople = (query: string | undefined) => {
    const queryClient = useQueryClient()

    return useQuery<IUser[]>(
        ["people", "query: ", query],
        async () => {
            return getQueryPeople(query)
        },
        {
            refetchOnWindowFocus: false,
            onSuccess: (data) => {
                queryClient.setQueryData(["hashtag-people"], data)
            },
            enabled: !!query,
        },
    )
}