import { IUser } from "@/components/profile/types"
import { IHashtag } from "@/components/trends/types"
import { useQuery } from "@tanstack/react-query"
import { getSearchResults } from "../api/get-search-results"

export const useSearch = (query: string) => {
    return useQuery<{
        people: IUser[]
        hashtags: IHashtag[]
    }>(
        ["search", query],
        async () => {
            return getSearchResults(query)
        },
        {
            refetchOnWindowFocus: false,
            enabled: !!query,
        },
    )
}